Subject: RE: gzip converts stuff to 8.3 filenames
From: [email-masked] (Andrew Dalgleish)

10 Apr 1998 06:36:35 -0700
Message-ID: <[email-masked]>
To: [email-masked]
Cc: Allan Peda <[email-masked]>

> -----Original Message-----
> From:	Allan Peda [SMTP:[email-masked]]
> Sent:	1998 April 01, Wednesday 12:29
> To:	[email-masked]
> Subject:	gzip converts stuff to 8.3 filenames
> 
> I'm fudging around with gzip and those nifty registry sendto commands,
> and I zip a file off to gzip, sure enough emacs-lisp-manual.ps
> becomes EMACS-~1.PS.gz 
> 
> Now: I guess the most sure bet/quick fix is a batch file "wrapper"
> to save the name as a variable and move it.  Anyone have one.  I'll
> wait
> a day and if no reply, I'll post it here.
> 
> .. Well it's (sorta) Cygwin32 related.
> 
> Thanks
> a
> -
> For help on using this list (especially unsubscribing), send a message
> to
> "[email-masked]" with one line of text: "help".
[Andrew Dalgleish]  
This is not a gzip bug - the Explorer shell sends the short name.

I have a batch file, NotePad and WordPad in my "Send To" menu.
The batch file and WordPad both get the short name, but Notepad opens
the file using the long name.

I suspect that Notepad gets the short name, but then converts it by
calling FindFirstFile().

BTW, to expand a full path you need to call FindFirstFile() for each
directory level in the path, as well as the file name.

Regards,
Andrew Dalgleish

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".